# Uses of Class
org.apache.sysds.parser.ParForStatementBlock.ResultVar

Packages that use ParForStatementBlock.ResultVar
Package
Description
org.apache.sysds.parser
org.apache.sysds.runtime.controlprogram
org.apache.sysds.runtime.controlprogram.parfor
org.apache.sysds.runtime.util

## Uses of ParForStatementBlock.ResultVar in org.apache.sysds.parser

Methods in org.apache.sysds.parser that return types with arguments of type ParForStatementBlock.ResultVar
Modifier and Type
Method
Description
`ArrayList<ParForStatementBlock.ResultVar>`
ParForStatementBlock.`getResultVariables()`
Method parameters in org.apache.sysds.parser with type arguments of type ParForStatementBlock.ResultVar
Modifier and Type
Method
Description
`static boolean`
ParForStatementBlock.ResultVar.`contains(Collection<ParForStatementBlock.ResultVar> list, String varName)`
`void`
ParForStatementBlock.`setResultVariables(ArrayList<ParForStatementBlock.ResultVar> rvars)`

## Uses of ParForStatementBlock.ResultVar in org.apache.sysds.runtime.controlprogram

Methods in org.apache.sysds.runtime.controlprogram that return types with arguments of type ParForStatementBlock.ResultVar
Modifier and Type
Method
Description
`ArrayList<ParForStatementBlock.ResultVar>`
ParForProgramBlock.`getResultVariables()`
Constructor parameters in org.apache.sysds.runtime.controlprogram with type arguments of type ParForStatementBlock.ResultVar
Modifier
Constructor
Description
``
`ParForProgramBlock(int ID, Program prog, String iterPredVar, HashMap<String,String> params, ArrayList<ParForStatementBlock.ResultVar> resultVars)`
ParForProgramBlock constructor.
``
`ParForProgramBlock(Program prog, String iterPredVar, HashMap<String,String> params, ArrayList<ParForStatementBlock.ResultVar> resultVars)`

## Uses of ParForStatementBlock.ResultVar in org.apache.sysds.runtime.controlprogram.parfor

Methods in org.apache.sysds.runtime.controlprogram.parfor that return types with arguments of type ParForStatementBlock.ResultVar
Modifier and Type
Method
Description
`ArrayList<ParForStatementBlock.ResultVar>`
ParForBody.`getResultVariables()`
Method parameters in org.apache.sysds.runtime.controlprogram.parfor with type arguments of type ParForStatementBlock.ResultVar
Modifier and Type
Method
Description
`static void`
RemoteParForUtils.`exportLineageItems(long workerID, LocalVariableMap vars, ArrayList<ParForStatementBlock.ResultVar> resultVars, Lineage lineage)`
Export lineage for remote Spark parfor workers.
`static ArrayList<String>`
RemoteParForUtils.`exportResultVariables(long workerID, LocalVariableMap vars, ArrayList<ParForStatementBlock.ResultVar> resultVars)`
For remote Spark parfor workers.
`void`
ParForBody.`setResultVariables(ArrayList<ParForStatementBlock.ResultVar> resultVars)`

## Uses of ParForStatementBlock.ResultVar in org.apache.sysds.runtime.util

Method parameters in org.apache.sysds.runtime.util with type arguments of type ParForStatementBlock.ResultVar
Modifier and Type
Method
Description
`static String`
ProgramConverter.`serializeResultVariables(List<ParForStatementBlock.ResultVar> vars)`